/*
 * Copyright (C) 2011-2012 OGIS-RI Co.,Ltd. All rights reserved.
 *
 * The software in this package is published under the terms of the CPAL v1.0
 * license, a copy of which has been included with this distribution in the
 * LICENSE.txt file.
 */
package jp.co.ogis_ri.citk.authn.component;

import org.mule.api.MuleEventContext;
import org.mule.api.lifecycle.Callable;

/**
 * 認証CookieをHTMLにレンダリングするMuleコンポーネント。
 * 
 */
public class HasAuthnCookieComponent implements Callable {

    private static StringBuilder response = new StringBuilder();

    static {
        createResponse();
    }

    @Override
    public Object onCall(MuleEventContext context) throws Exception {
        return response.toString();
    }

    private static void createResponse() {

        response.append("<html>\n");
        response.append("<head>\n");
        response.append("<script language=\"javascript\">\n");
        response.append("<!--\n");
        response.append("\n");
        response.append("var goBackTo;\n");
        response.append("var cookies;\n");
        response.append("\n");
        response.append("function setParameter(){\n");
        response.append("\n");
        response.append("  if(window.location.search){\n");
        response.append("    var param = window.location.search.substring(1, window.location.search.length);\n");
        response.append("    goBackTo  = param.split(\"goBackTo=\")[1];\n");
        response.append("  }\n");
        response.append("  if(goBackTo == undefined) {\n");
        response.append("    // error\n");
        response.append("    document.write(\"Error : missging to get parameter 'goBackTo'.\")\n");
        response.append("    return false;\n");
        response.append("  }\n");
        response.append("\n");
        response.append("  cookies = document.cookie;\n");
        response.append("}\n");
        response.append("\n");
        response.append("function hasCookie(){\n");
        response.append("\n");
        response.append("  setParameter();\n");
        response.append("\n");
        response.append("  var form = document.redirectForm;\n");
        response.append("  form.action = goBackTo;\n");
        response.append("  form.nameId.value = getCookie(\"nameId\");\n");
        response.append("  form.idpEntityId.value = getCookie(\"idpEntityId\");\n");
        response.append("\n");
        response.append("  if((form.nameId.value == \"noData\") || (form.idpEntityId.value == \"noData\")){\n");
        response.append("    document.write(\"Error : not authentication.\");\n");
        response.append("    return false;\n");
        response.append("  }\n");
        response.append("\n");
        response.append("  form.submit();\n");
        response.append("}\n");
        response.append("\n");
        response.append("function getCookie(key){\n");
        response.append("\n");
        response.append("  if(cookies.indexOf(key) != -1) {\n");
        response.append("    var tmp = cookies.split(key + \"=\");\n");
        response.append("    return tmp[1].split(\"; \")[0];\n");
        response.append("  }\n");
        response.append("  return \"noData\";\n");
        response.append("}\n");
        response.append("-->\n");
        response.append("</script>\n");
        response.append("</head>\n");
        response.append("\n");
        response.append("<body onload=\"return hasCookie();\">\n");
        response.append("<form name=\"redirectForm\" method=\"POST\">\n");
        response.append("  <input type=\"hidden\" name=\"nameId\" />\n");
        response.append("  <input type=\"hidden\" name=\"idpEntityId\" />\n");
        response.append("</form>\n");
        response.append("</body>\n");
        response.append("</html>\n");
    }
}
